Bug 816894 - [abrt] pgadmin3-1.14.0-1.fc16: IsWindow: Process /usr/bin/pgadmin3 was killed by signal 11 (SIGSEGV)
[abrt] pgadmin3-1.14.0-1.fc16: IsWindow: Process /usr/bin/pgadmin3 was killed...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pgadmin3 (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Devrim Gündüz
Fedora Extras Quality Assurance
abrt_hash:bf045532c267c4b9a6e7fa0b10c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-27 05:12 EDT by Suren Karapetyan
Modified: 2013-02-13 08:59 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 08:59:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (8.38 KB, text/plain)
2012-04-27 05:12 EDT, Suren Karapetyan
no flags Details
File: backtrace (64.08 KB, text/plain)
2012-04-27 05:12 EDT, Suren Karapetyan
no flags Details
File: maps (42.44 KB, text/plain)
2012-04-27 05:12 EDT, Suren Karapetyan
no flags Details

  None (edit)
Description Suren Karapetyan 2012-04-27 05:12:31 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        /usr/bin/pgadmin3
crash_function: IsWindow
executable:     /usr/bin/pgadmin3
kernel:         3.3.1-3.fc16.x86_64
pid:            32234
pwd:            /home/suro/Documents
reason:         Process /usr/bin/pgadmin3 was killed by signal 11 (SIGSEGV)
time:           Fri 27 Apr 2012 12:59:00 PM AMT
uid:            1000
username:       suro

backtrace:      Text file, 65615 bytes
dso_list:       Text file, 8579 bytes
maps:           Text file, 43460 bytes

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=454
:SSH_AGENT_PID=30847
:HOSTNAME=pacho
:DM_CONTROL=/var/run/xdmctl
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:XDG_MENU_PREFIX=kde4-
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=88eee7aa21159a1cd4dd574300000009-1335515004.289052-1611462786
:XDM_MANAGED=method=classic
:GTK2_RC_FILES=/etc/gtk-2.0/gtkrc:/home/suro/.gtkrc-2.0:/home/suro/.gtkrc-2.0-kde4:/home/suro/.kde/share/config/gtkrc-2.0
:GS_LIB=
:QTDIR=/usr/lib64/qt-3.3
:QTINC=/usr/lib64/qt-3.3/include
:KDE_FULL_SESSION=true
:IMSETTINGS_MODULE=none
:USER=suro
:SSH_AUTH_SOCK=/tmp/ssh-bkVcATE30693/agent.30693
:MAIL=/var/spool/mail/suro
:DESKTOP_SESSION=default
:PATH=/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/games:/usr/local/sbin:/usr/sbin:/sbin:/home/suro/.local/bin:/home/suro/bin
:QT_IM_MODULE=xim
:PWD=/home/suro
:XMODIFIERS=@im=none
:KDE_SESSION_UID=1000
:KDE_IS_PRELINKED=1
:LANG=en_US.UTF-8
:KDEDIRS=/usr
:SSH_ASKPASS=/usr/bin/ksshaskpass
:HISTCONTROL=ignoredups
:SHLVL=2
:XDG_SEAT=seat0
:HOME=/home/suro
:KDE_SESSION_VERSION=4
:LOGNAME=suro
:QTLIB=/usr/lib64/qt-3.3/lib
:XDG_DATA_DIRS=/usr/share/kde-settings/kde-profile/default/share:/usr/local/share:/usr/share
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-JqRojSOc9K,guid=a5087ca8947b1cecd6e507d10013628e
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/suro
:DISPLAY=:0
:QT_PLUGIN_PATH=/home/suro/.kde/lib64/kde4/plugins/:/usr/lib64/kde4/plugins/:/usr/lib/kde4/plugins
:GTK_IM_MODULE=gtk-im-context-simple
:XAUTHORITY=/tmp/kde-suro/xauth-1000-_0
:_=/usr/libexec/kde4/start_kdeinit_wrapper
:KDE_MULTIHEAD=false
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/30907,unix/unix:/tmp/.ICE-unix/30907
:GTK_RC_FILES=/etc/gtk/gtkrc:/home/suro/.gtkrc:/home/suro/.kde/share/config/gtkrc
:XCURSOR_THEME=default
:DESKTOP_STARTUP_ID=pacho;1335516893;713962;30948_TIME1272303432

smolt_data:
:
:
:General
:=================================
:UUID: 8969777c-aa7e-4b01-a19a-bccb001bcfc9
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 5587.11
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i5-2300 CPU @ 2.80GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 4
:CPU Speed: 2801
:System Memory: 7969
:System Swap: 9951
:Vendor: System manufacturer
:System: System Product Name System Version
:Form factor: Desktop
:Kernel: 3.3.1-3.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:7260:4163:33869) pci, None, PCI/ISA, H61 Express Chipset Family LPC Controller
:(6945:4224:4163:33929) pci, None, PCI/PCI, N/A
:(32902:9294:4163:33869) pci, None, PCI/PCI, 82801 PCI Bridge
:(32902:7190:4163:33869) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 4
:(32902:7184:4163:33869) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7186:4163:33869) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 2
:(4318:2595:0:0) pci, nouveau, VIDEO, GT218 [GeForce 210]
:(32902:7192:4163:33869) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 5
:(32902:7200:4163:33813) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(4332:33128:4163:33842) pci, r8169, ETHERNET, P8P67 Deluxe Motherboard [Realtek RTL8111E]
:(32902:7202:4163:33869) pci, i801_smbus, SERIAL, P8P67 Deluxe Motherboard
:(32902:7170:4163:33869) pci, ahci, STORAGE, P8P67 Deluxe Motherboard
:(32902:7213:4163:33869) pci, ehci_hcd, USB, P8P67 Deluxe Motherboard
:(32902:7206:4163:33869) pci, ehci_hcd, USB, P8P67 Deluxe Motherboard
:(32902:256:4163:33869) pci, None, HOST/PCI, P8P67 Deluxe Motherboard
:(32902:7226:4163:33869) pci, None, SIMPLE, P8P67 Deluxe Motherboard
:(4318:3042:0:0) pci, snd_hda_intel, MULTIMEDIA, High Definition Audio Controller
:(32902:7194:4163:33869) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 6
:(32902:257:4163:33869) pci, pcieport, PCI/PCI, Xeon E3-1200/2nd Generation Core Processor Family PCI Express Root Port
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_pacho-lv_root / ext4 4096 4096 13081819 4420094 3764734 3276800 3014063 3014063
:/dev/sda2 /boot ext4 1024 1024 508745 410169 384569 128016 127785 127785
:/dev/mapper/vg_pacho-lv_home /home ext4 4096 4096 25561025 24055349 22775349 6406144 6341840 6341840
:

var_log_messages:
:Apr 27 12:59:00 pacho kernel: [1270668.275429] pgadmin3[32234] general protection ip:397fc29f7a sp:7fff6f659f90 error:0 in libwx_gtk2u_aui-2.8.so.0.8.0[397fc00000+64000]
:Apr 27 12:59:01 pacho abrt[32278]: Saved core dump of pid 32234 (/usr/bin/pgadmin3) to /var/spool/abrt/ccpp-2012-04-27-12:59:00-32234 (83009536 bytes)

xsession_errors:
:*** glibc detected *** /usr/bin/pgadmin3: free(): invalid pointer: 0x00000000034cff30 ***
:/usr/bin/pgadmin3[0x5bc886]
:/usr/bin/pgadmin3[0x5bc8fc]
:/usr/bin/pgadmin3[0x5bca99]
:/usr/bin/pgadmin3[0x5bac4f]
:/usr/bin/pgadmin3[0x5be343]
:/usr/bin/pgadmin3[0x43dd72]
:/usr/bin/pgadmin3[0x457851]
:00400000-00a58000 r-xp 00000000 fd:01 2646561                            /usr/bin/pgadmin3
:00c58000-00c59000 r--p 00658000 fd:01 2646561                            /usr/bin/pgadmin3
:00c59000-00d23000 rw-p 00659000 fd:01 2646561                            /usr/bin/pgadmin3
:00f22000-00f7a000 rw-p 00722000 fd:01 2646561                            /usr/bin/pgadmin3
:abrt-applet: repeated problem in pgadmin3-1.14.0-1.fc16, not showing the notification
:*** glibc detected *** /usr/bin/pgadmin3: double free or corruption (!prev): 0x0000000003efab30 ***
:/usr/bin/pgadmin3[0x5bc9a6]
:/usr/bin/pgadmin3[0x5bca99]
:/usr/bin/pgadmin3[0x5afad1]
:/usr/bin/pgadmin3[0x5be65a]
:/usr/bin/pgadmin3[0x43dd72]
:/usr/bin/pgadmin3[0x457851]
:00400000-00a58000 r-xp 00000000 fd:01 2646561                            /usr/bin/pgadmin3
:00c58000-00c59000 r--p 00658000 fd:01 2646561                            /usr/bin/pgadmin3
:00c59000-00d23000 rw-p 00659000 fd:01 2646561                            /usr/bin/pgadmin3
:00f22000-00f7a000 rw-p 00722000 fd:01 2646561                            /usr/bin/pgadmin3
:abrt-applet: repeated problem in pgadmin3-1.14.0-1.fc16, not showing the notification
Comment 1 Suren Karapetyan 2012-04-27 05:12:35 EDT
Created attachment 580682 [details]
File: dso_list
Comment 2 Suren Karapetyan 2012-04-27 05:12:38 EDT
Created attachment 580683 [details]
File: backtrace
Comment 3 Suren Karapetyan 2012-04-27 05:12:40 EDT
Created attachment 580684 [details]
File: maps
Comment 4 Fedora End Of Life 2013-01-16 08:17:00 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Fedora End Of Life 2013-02-13 08:59:48 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.